Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.jena.parser
Class DefaultUnresolvedImportHandler

    java.lang.Object
      edu.stanford.smi.protegex.owl.jena.parser.DefaultUnresolvedImportHandler

All Implemented Interfaces:
  UnresolvedImportHandler

    public class DefaultUnresolvedImportHandler

extends Object
implements UnresolvedImportHandler

User: matthewhorridge
The University Of Manchester
Medical Informatics Group
Date: Sep 21, 2005

matthew.horridge@cs.man.ac.uk
www.cs.man.ac.uk/~horridgm

Constructor Summary
`DefaultUnresolvedImportHandler()`

Method Summary
`Repository` | `handleUnresolvableImport(OWLModel model, TripleStore tripleStore, URI ontologyName)` Used by the `ProtegeOWLParser` to obtain an ontology repository that contains the specified ontology.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultUnresolvedImportHandler

    public DefaultUnresolvedImportHandler()

Method Detail

### handleUnresolvableImport

    public Repository handleUnresolvableImport(OWLModel model,
                                               TripleStore tripleStore,
                                               URI ontologyName)

  Description copied from interface: `UnresolvedImportHandler`
  Used by the `ProtegeOWLParser` to obtain an ontology repository that contains the specified ontology.

  Specified by:
    `handleUnresolvableImport` in interface `UnresolvedImportHandler`
  Parameters:
    `model` - The `OWLModel`
    `tripleStore` - The triple store that the triples from the ontology will be inserted into.
    `ontologyName` - The name of the ontology that the system is attempting to import.
  Returns:
    A `Repository` containing the ontology, or, `null` if the missing ontology cannot be found and the loading process should be aborted.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.